Bug 138667 - [PATCH] lang/p5-List-MoreUtils: update to 0.25_02
Summary: [PATCH] lang/p5-List-MoreUtils: update to 0.25_02
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lars Thegler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-09 17:30 UTC by skv
Modified: 2009-09-10 21:50 UTC (History)
1 user (show)

See Also:


Attachments
p5-List-MoreUtils-0.25.02.patch (1.17 KB, patch)
2009-09-09 17:30 UTC, skv
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description skv freebsd_committer 2009-09-09 17:30:06 UTC
Update to 0.25_02 - to unbreak on Perl 5.10.1

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2009-09-09 17:30:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Lars Thegler freebsd_committer 2009-09-10 09:11:55 UTC
Hm. This is a development release, which we do not normally put into
the ports tree, so I'm a bit reluctant.

Looking at http://matrix.cpantesters.org/?dist=List-MoreUtils%200.22;reports=1;os=freebsd;perl=5.10.1
there are no test failures with the current version:

Also, I can not see that this breakage on 5.10.1 has been reported in
rt.cpan.org?

Could you provide me with logs showing the failure, and your 5.10.1
ports stucture, so I can try to replicate this?


/Lars
Comment 3 skv 2009-09-10 12:39:40 UTC
On 10.09.2009 12:11, Lars Thegler wrote:
> Hm. This is a development release, which we do not normally put into
> the ports tree, so I'm a bit reluctant.

Technically, you already have unpublished version (0.24) in ports tree.

> Looking at http://matrix.cpantesters.org/?dist=List-MoreUtils%200.22;reports=1;os=freebsd;perl=5.10.1
> there are no test failures with the current version:

There are tests for 0.22, but in ports tree is 0.24

> Also, I can not see that this breakage on 5.10.1 has been reported in
> rt.cpan.org?
> 
> Could you provide me with logs showing the failure, and your 5.10.1
> ports stucture, so I can try to replicate this?

Log: http://people.freebsd.org/~skv/ports/p5-List-MoreUtils.log

Perl 5.10.1 skeleton: http://people.freebsd.org/~skv/ports/perl5.10.shar

-- 
Sergey Skvortsov
mailto: skv@protey.ru
Comment 4 Lars Thegler freebsd_committer 2009-09-10 14:38:43 UTC
On Thu, Sep 10, 2009 at 1:39 PM, Sergey Skvortsov<skv@protey.ru> wrote:
> On 10.09.2009 12:11, Lars Thegler wrote:
>> Hm. This is a development release, which we do not normally put into
>> the ports tree, so I'm a bit reluctant.
>
> Technically, you already have unpublished version (0.24) in ports tree.

Ah, point taken. This was actually published on CPAN on 27 Jun 2009,
but the author has since removed it. I've contacted him to find out
what he has been smoking, and trying to get him to publish a proper
version. Stay tuned.

/Lars
Comment 5 dfilter service freebsd_committer 2009-09-10 21:44:29 UTC
lth         2009-09-10 20:44:20 UTC

  FreeBSD ports repository

  Modified files:
    lang/p5-List-MoreUtils Makefile distinfo 
  Log:
  Update to 0.25_02 - to unbreak on Perl 5.10.1
  
  PR:             ports/138667
  Submitted by:   skv
  
  Revision  Changes    Path
  1.13      +1 -1      ports/lang/p5-List-MoreUtils/Makefile
  1.12      +3 -3      ports/lang/p5-List-MoreUtils/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Lars Thegler freebsd_committer 2009-09-10 21:44:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!